AIXBT Docs
REST APIReference

Momentum History

GET
/v2/projects/{id}/momentum

Returns hourly momentum history with cluster attribution breakdown. A multi-cluster source appears once under each cluster. Includes score history for a project over a specified time period. Default period is the last 7 days.

Authorization

ApiKeyAuth
x-api-key<token>

API key to authorize requests

In: header

Path Parameters

id*string

The project ID

Query Parameters

start?string

Start timestamp (ISO 8601 format). Defaults to 7 days ago.

Formatdate-time
end?string

End timestamp (ISO 8601 format). Defaults to now.

Formatdate-time
at?string

Historical anchor timestamp (ISO 8601). Sets the end of the momentum time window. Must be in the past.

When used:

  • If end is not provided, at sets the end of the window
  • If end is provided, at acts as a ceiling — end is capped to whichever is earlier
  • If start is not provided, it defaults to 7 days before at
Formatdate-time
includeClusters?string

Whether to include per-hour cluster attribution breakdown. Set to "false" to return only momentum scores (faster, smaller response).

Default"true"
Value in"true" | "false"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/projects/string/momentum?start=2025-11-21T00%3A00%3A00.000Z&end=2025-11-28T00%3A00%3A00.000Z&at=2026-03-25T12%3A00%3A00Z"
{
  "status": 200,
  "meta": {
    "history": {
      "archiveAccess": true,
      "enforced": true,
      "lookbackDays": 90,
      "earliestAvailableAt": "2019-08-24T14:15:22Z",
      "enforcementAt": "2026-08-17T00:00:00.000Z"
    }
  },
  "data": {
    "projectId": "507f1f77bcf86cd799439011",
    "projectName": "ethereum",
    "data": [
      {
        "timestamp": "2025-11-30T12:00:00.000Z",
        "trendScore": 43,
        "clusters": [
          {
            "id": "VC",
            "name": "VC",
            "count": 3
          }
        ]
      }
    ]
  }
}
{
  "error": "string",
  "message": "string",
  "code": "string",
  "status": 0,
  "data": null,
  "meta": {},
  "details": {},
  "pagination": {
    "page": 1,
    "limit": 1,
    "totalCount": 0,
    "hasMore": true
  },
  "limitType": "minute",
  "retryAfterMs": 0,
  "limits": {
    "minute": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    },
    "day": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    }
  },
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "code": "string",
  "status": 0,
  "data": null,
  "meta": {},
  "details": {},
  "pagination": {
    "page": 1,
    "limit": 1,
    "totalCount": 0,
    "hasMore": true
  },
  "limitType": "minute",
  "retryAfterMs": 0,
  "limits": {
    "minute": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    },
    "day": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    }
  },
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "code": "string",
  "status": 0,
  "data": null,
  "meta": {},
  "details": {},
  "pagination": {
    "page": 1,
    "limit": 1,
    "totalCount": 0,
    "hasMore": true
  },
  "limitType": "minute",
  "retryAfterMs": 0,
  "limits": {
    "minute": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    },
    "day": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    }
  },
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "code": "string",
  "status": 0,
  "data": null,
  "meta": {},
  "details": {},
  "pagination": {
    "page": 1,
    "limit": 1,
    "totalCount": 0,
    "hasMore": true
  },
  "limitType": "minute",
  "retryAfterMs": 0,
  "limits": {
    "minute": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    },
    "day": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    }
  },
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}